import java.util.ArrayList;

public class ArrayQueue implements Queue 
{
	
		
	public ArrayQueue()
	{
			
	} 
		
	public void enqueue(Object x)
	{
	
	}
	
	public Object dequeue()
	{
		return null;
	}
	
	public Object peekFront()
	{
		return null;
	}
	
	public boolean isEmpty()
	{
		return true;
	}
	
	public String toString()
	{
		return null;
	}
	
	public java.util.Iterator iterator()
	{
		return null;
	}
	
	
	// inner class to implement iterator over list
	//class Elements implements java.util.Iterator
	{
			
    }
    
} 
